/// <reference types="yargs" />
/// <reference types="node" />
declare function configure(slicedArgv: string[]): import("yargs").Argv<{
    cwd: string | undefined;
} & {
    quiet: boolean | undefined;
} & {
    verbose: boolean | undefined;
} & {
    loglevel: "silly" | "verbose" | "info" | "timing" | "http" | "notice" | "warn" | "error" | "silent" | undefined;
}>;
declare function execute(rawArgv: typeof process.argv): void;
type KnownKeys<T> = {
    [K in keyof T]: string extends K ? never : number extends K ? never : K;
} extends {
    [_ in keyof T]: infer U;
} ? U : never;
type ConfigureArgv = ReturnType<typeof configure>['argv'];
type YargsMetaKeys = '$0' | '_';
type ApiConfigKeys = Exclude<KnownKeys<ConfigureArgv>, YargsMetaKeys>;
/** The parsed config object without yargs-specific keys that would only confuse derived interfaces */
type ParsedConfig = Pick<ConfigureArgv, ApiConfigKeys>;
export { execute, ParsedConfig };
